1. cukiyoko

    OP cukiyoko Member
    Newcomer

    Joined:
    Jan 18, 2016
    Messages:
    26
    Country:
    Hi all,

    I have just set up my Sky3ds+, and all is going well. Got my private headers sorted and everything works well.

    However, a couple of the roms - such as Pokemon X, want to perform a software update, which my system won't allow, because I'm not running the latest firmware (of course).

    The question is:
    Do I have to update my system and update the software (and will that work?)

    Or
    Do I need to find another rom

    or
    Do I need to patch the rom somehow, and if so, how do I do this?

    I hope this is the right forum, but if not, let me know and I'll move it.
    Thanks!
     
  2. Tony_93

    Tony_93 GBAtemp Addict
    Member

    Joined:
    Jun 13, 2015
    Messages:
    2,453
    Country:
    United States
    You have to update the firmware to download the newest updates, the roms don't have them built into them.

    (Only eShop exclusive games have the updated built into the games and they don't work in Sky3ds+ ayways).
     
    Last edited by Tony_93, Jan 18, 2016 - Reason: Typo fix
  3. cukiyoko

    OP cukiyoko Member
    Newcomer

    Joined:
    Jan 18, 2016
    Messages:
    26
    Country:
    Thanks Tony. I guess I'll have to update the firmware - feels weird, after keeping it from doing it for so long!
     
  4. Tony_93

    Tony_93 GBAtemp Addict
    Member

    Joined:
    Jun 13, 2015
    Messages:
    2,453
    Country:
    United States
    Update to 10.3 and download the game updates you need to as soon as possible.

    Why?There is a 10.3 downgrade method available right now and when Nintendo rolls the next update (10.4?) it will most likely be blocked for good.

    Who knows if you may want to try a CFW sometime in the future, staying in 10.3 will still give you the oportunity to make that decision later.
     
  5. cukiyoko

    OP cukiyoko Member
    Newcomer

    Joined:
    Jan 18, 2016
    Messages:
    26
    Country:
    That sounds like a good plan - I was thinking I might try a CFW one day, so I was holding onto my 9.2, but knowing I can downgrade from 10.3 is great.
    I'll do that, and make sure not to go to the future 10.4

    Thanks again for your explanation :)
     
  6. Just3DS

    Just3DS GBAtemp Fan
    Member

    Joined:
    Jan 31, 2015
    Messages:
    440
    Country:
    Wait, you already on 9.2? Well then first backup all SD card data on PC, then use GW Launcher.dat to create emuNAND (Format emuNAND option).
    Create a sysNAND backup (backup NAND option) and copy it to PC at multiple places just to be safe.
    Copy everything back on console sd card and use a emuNAND based CFW to spoof firmware and then play games using Sky3DS without any update nags.

    Don't bother upgrading and thinking of downgrading later if you have stock 9.2 sysNAND already. Downgrading is not always clean copy and might have some leftovers of higher firmware causing bugs, etc.
     
    Last edited by Just3DS, Jan 18, 2016
  7. Tony_93

    Tony_93 GBAtemp Addict
    Member

    Joined:
    Jun 13, 2015
    Messages:
    2,453
    Country:
    United States
    Did you update already?

    9.2 you could just get the updates via cia anyways.
     
  8. cukiyoko

    OP cukiyoko Member
    Newcomer

    Joined:
    Jan 18, 2016
    Messages:
    26
    Country:
    I did do the update - but I'm not too worried about losing my 9.2. I'm happy with my sky3ds+ at the moment, and if I decide to do a CFW later on, it will probably be once I've finished all the roms I have to play!
    It was easier to update the firmware than learn about using emuNAND at the moment. Maybe in a few months I will see where emuNAND is at and try it out, but I'm happy for now.

    All my games updated once I had the firmware updated, so I'm very happy for the moment :)
     
  9. Deleted User

    Deleted User Newbie

    W...T...F?!? everybody here do whatever it takes to get 9.2 (including myself, planning to buy 2ds just for it) and you just updated! ya know that its very dangerous to downgrade right? alota people bricked their systems (soft and hard-bricks) 'cause of that! I have sky3ds too, but its annoying to click the buttons 5-7 times each time I wanna change from smash to mario or to oras...
    ya know, emunand is not that hard to make and use... I cant believe you just updated...
    ah and maybe you won't be able to play download only games you know that right? on 10.3 theres no CIA support...

    ah and ya could just enter Eshop from 9.2 by some ways...
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - Software, updates, Sky3ds+